Get list of Recent Changes

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

This API provides a list of all files and folders that were modified or added during the given time. The start page token should be used within the expiration period mentioned in the previous API response (expires_in).

Endpoints

OAuth Scope

WorkDrive.files.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url 'https://www.zohoapis.com/workdrive/api/v1/changes?page%5Bnext%5D={token}' \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

page[next]string(Required)

Use the page token received from the above API

Response Example

R008

R008

CHG003

CHG004

200
200
401
Copied!
  {
    "data": [
      {
        "id": "ipcpn2210d2d6410e4b5b963bee32450afa88",
        "type": "changes",
        "attributes": {
          "action_category": "CREATE",
          "action_type": 102,
          "resource_type": 1001,
          "change_by_zuid": "15068447",
          "change_time_in_mills": 1684399037120,
          "event_id": 27000000018006,
          "resource_group": "FOLDER",
          "is_deleted": false,
          "library_id": "ipcpneffc5b2f509b44029d7303399163cea2",
          "parent_id": "ipcpneffc5b2f509b44029d7303399163cea2",
          "action": "CREATE",
          "change_by": "Sofia Deluca",
          "resource_name": "Marketing",
          "change_time": "May 18, 2:07 PM"
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/changes/ipcpn2210d2d6410e4b5b963bee32450afa88"
        }
      },
      {
        "id": "ipcpn8733e8ba9fd5468ba663cd681b25636f",
        "type": "changes",
        "attributes": {
          "action_category": "UPDATE",
          "action_type": 105,
          "resource_type": 2102,
          "change_by_zuid": "15068447",
          "change_time_in_mills": 1684399112830,
          "event_id": 27000000018015,
          "resource_group": "FILE",
          "is_deleted": false,
          "library_id": "ipcpneffc5b2f509b44029d7303399163cea2",
          "parent_id": "ipcpneffc5b2f509b44029d7303399163cea2",
          "action": "RENAME",
          "change_by": "Sofia Deluca",
          "resource_name": "Stocks 2022 to 2023 Financial Year.csv",
          "change_time": "May 18, 2:08 PM"
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/changes/ipcpn8733e8ba9fd5468ba663cd681b25636f"
        }
      },
      {
        "id": "ipcpn84ff19b4fe5341fc9b95074fa6b94b4a",
        "type": "changes",
        "attributes": {
          "action_category": "MOVE",
          "action_type": 106,
          "resource_type": 2002,
          "change_by_zuid": "15068447",
          "change_time_in_mills": 1684399238761,
          "event_id": 27000000018044,
          "resource_group": "FILE",
          "is_deleted": false,
          "library_id": "ipcpneffc5b2f509b44029d7303399163cea2",
          "parent_id": "ipcpneffc5b2f509b44029d7303399163cea2",
          "move_info": {
            "move_from": "ipcpnfeb0a411d2aa4023aa323dd845725970",
            "move_to": "ipcpneffc5b2f509b44029d7303399163cea2"
          },
          "action": "MOVE",
          "change_by": "Sofia Deluca",
          "resource_name": "Marketing Budget 2023 Q2.docx",
          "change_time": "May 18, 2:10 PM"
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/changes/ipcpn84ff19b4fe5341fc9b95074fa6b94b4a"
        }
      },
      {
        "id": "ipcpnccd23f5eb0114940b1dec46b2b395c8b",
        "type": "changes",
        "attributes": {
          "action_category": "DELETE",
          "action_type": 111,
          "resource_type": 2505,
          "change_by_zuid": "15068447",
          "change_time_in_mills": 1684399497031,
          "event_id": 27000000018047,
          "resource_group": "FILE",
          "is_deleted": true,
          "library_id": "ipcpneffc5b2f509b44029d7303399163cea2",
          "parent_id": "ipcpnfeb0a411d2aa4023aa323dd845725970",
          "action": "TRASH",
          "change_by": "Sofia Deluca",
          "resource_name": "Magazine Ad 02.pdf",
          "change_time": "May 18, 2:14 PM"
        },
        "links": {
          "self": "https://www.zohoapis.com/workdrive/api/v1/changes/ipcpnccd23f5eb0114940b1dec46b2b395c8b"
        }
      }
    ],
    "links": {
      "cursor": {
        "has_next": true,
        "next": "https://www.zohoapis.com/workdrive/api/v1/changes?page[next]=e80e611e97e54e19d3374f7e2f51a9c1aae4eeaf2f281750"
      }
    }
  }
                
  {
    "errors": [
      {
        "id": "R008",
        "title": "Unauthorized access"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "CHG003",
        "title": "Given page token was expired"
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "CHG004",
        "title": "Observation of alterations to the folder is not active"
      }
    ]
  }
                
Show full